# RPM specfile for the RsyncBackup package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)	1.35 12/24/20 17:14:01
# Version and release come from VERSION_FILE

%define name RsyncBackup
%define version 1.50
%define release 0.0

Summary: Back up multiple machines over your network onto an archive server.
Name: %{name}
Version: %{version}
Release: %{release}
# Should use SCCS for below:
Source: http://www.phcomp.co.uk/Downloads/RsyncBackup-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}

# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

BuildArchitectures: noarch


License: GPL
# Copyright: GPL --- this is old/unsupported syntax

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
Requires: ksh coreutils perl rsync findutils sed mailx gawk grep
%else
Requires: pdksh coreutils perl rsync findutils sed mailx gawk grep
%endif
BuildRequires: make

# This is only needed if we want to build a relocatable RPM:
#Prefix: %%{_prefix}

%description
The backups on the archive server appear as complete copies of directories of
the backed up machines. There will appear to be one complete backup for each
day - this lets you find/restore a consistent set of files from a particular
day.

The script cleverly avoids copying files that have not changed. It economises
on disk use by only keeping one copy of each file - but makes that one copy
appear in the various daily archives.

The idea is that one central archive server initiates backups on several other
machines.

This script works well where you have many files that do not change from day to
day, eg word processing documents. It is not so good where most of your files
change frequently - but will still work.

POSIX ACLs and extended attributes can be copied.

%prep
%setup -q

%build
%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/RsyncBackup
%doc UkuugTalkFeb2008.pdf README Documentation Contributors License TODO Hacks VERSION_FILE
%{_mandir}/man*/RsyncBackup.*

%changelog
* Thu Dec 24 2020 Alain Williams <addw@phcomp.co.uk>
- Version number got in a better way
- Bugfix in email generation
- Documentation updates
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Thu Jul 02 2015 Alain Williams <addw@phcomp.co.uk>
- Fix bug in argument parsing when there are more than 9 arguments
* Thu Jun 18 2015 Alain Williams <addw@phcomp.co.uk>
- Copy POSIX ACLs and option for extended attributes
* Thu Nov 10 2011 Alain Williams <addw@phcomp.co.uk>
- Add an extra line of trace/comment
* Sun Jul 05 2009 Alain Williams <addw@phcomp.co.uk>
- Fix for some ksh, tweak output & documentation
* Thu Dec 18 2008 Alain Williams <addw@phcomp.co.uk>
- First attempt
